Introduction

Welcome to ARABIC CALLIGRAPHER 1.1. In this chapter we will introduce the product, and give an advice on how to use this document.

The Arabic Calligraphy is an art that goes back to many hundreds of years ago. The main characteristics of Arabic Calligraphy are the use the word as the subject of the artistic work, the balance, and the harmony.

What ARABIC CALLIGRAPHY Presents is the ability to continue creating new calligraphic artwork using modern computer technology.

By using ARABIC CALLIGRAPHER 1.1® the user will gain better work efficiency, and enhance the quality of its work.

We tried in this document to keep it simple and easy to the reader, and also, as a fast reference for program usage.

The explanations will be short, depending on detailed graphical examples.

Finally, GolanSoft® do welcome any suggestions, questions, and comments.

COPYRIGHT NOTICE: This document copyrights are a property of GolanSoft®, reproduction and distribution of this document without an authorization from GolanSoft® is prohibited and punished by international laws.

Revision date : 16-12-2009, Golansoft Copyright 2009.


Overview

ARABIC CALLIGRAPHER 1.1® and FONT CALLIGRAPHER 1.1® are both an integrated programs with the following features:

1-Drawing using the KASSABA.

2-Simple creation of complex calligraphic artwork.

3-A predefined library of fonts and shapes are provided by the program.

4-Integrated font system following the original rules of the Arabic writing, and its topological principles, including:

A-more than one shape for the same character.

B-auto character-to-character synchronization.

C-special words filtering (like the word of god).

D-Decorations are supported through the user library that contains many calligraphic shapes.

5-Advanced printing and exporting capabilities with the ability to save the created work as a picture file or even to export’ it to other programs as 3DMAX®, or Text Editors.

6-Abstract calligraphic artwork creation.

The core heart of the ARABIC CALLIGRAPHER 1.1 is the KASSABA. The KASSABA is the tool that is every calligrapher’s must-have.

The KASSABA is a sharp peace of wood, used in drawing. Instead of the brush; it gives its user a powerful control while drawing. The KASSABA style is most significant in the ability to control its degree and width with the movement. In addition to the KASSABA tool that is the basic language that the program “speaks”, the program provides a library of fonts, and shapes, which represent a starting material for creating Calligraphic artworks using ARABIC CALLIGRAPHER 1.1. These libraries currently include different Arabic writing fonts implemented according to the original rules each writing-font.

New releases of these fonts could be issued in the future.

FONT CALLIGRAPHER 1.1 is the program used to create these fonts and shapes library, if you obtained a license to FONT CALLIGRAPHER 1.1 ® you can create new fonts or reshape the already shipped ones according to your needs.


How this Help Document Is Organized

This help is organized in two main parts. The first is the map part from which you can navigate easily into the different topics. More details about the program are in the second part.

You can use this document in two methods according to your inquiry:

1-To start knowing ARABIC CALLIGRAPHER 1.1 we advise to browse starting form this topic using the browse button on the top of the help window. After you finish that, go to the document map, and start identifying the user interface, since it is explained throughout the map structure.

2-For information searching the reader could use the index tab and the document map.

3-Contextual help (Pressing F1 key): from within ARABIC CALLIGRAPHER 1.1 you can get direct help information for all the elements of the user interface. To get the contextual help for a given element; make sure first that it got the focus, next, press the F1 key.


Document Map

Choose a link to go to the corresponding topic:

Setup

Concepts

Drawing With Style

Editing Your Lines

Setting Options

Using Fonts

Printing

Bitmap it

Exporting to 3D Studio MAX ®

Exporting to other documents

Accelerations

Contact Us

User Interface


User Interface

Main Menu:

Press on the picture(s) to go to the corresponding topic:

Status Bar:


Setup Procedures

Before you start the setup process, please read these important notes:

1-If you are doing an installation on a machine that already has ARABIC CALLIGRAPHER1.1 installed, and you are using a modified font files, backup these files, or change file names and font names, before installation.

2-The registration is important; it gives us the chance of keeping track of our customers, and the ability to provide the right support. Also by registering you may have the chance to receive special prices, and early notifications for future releases.

After inserting the installation CD, the setup program will start automatically; follow the instructions given by the setup program, until the achievement of the setup process.


Registration

An automated client program does the registration; you only need to have a connection to the Internet. Add your personal information and click send.


Unistall

To Do the uninstall go to Control Panel, DblClick on the Add/Remove Programs icon, select the program name, then click on the install/uninstall button.


Concepts: The Path

The path is the group of lines, that the KASSABA will follows during its movement, it matches always the middle point of the KASSABA, independently from the width of the KASSABA.


Concepts: The Envelope

The Envelope is the trace that the KASSABA draws during its movement on the paper (Screen). The envelope is expressed according to the KASSABA’s angle during the movements.


Concepts: Path Point

Path Points are the group of points that the path will pass through. Each path section is drawn between two Path Point. A Path Point can accept more than a line section (Field), and can be a start for more than one path section. The fact that the line section is starting or ending in a Path Point depends on the definition of the Reference Path Point of the line section (Field).


Concepts: Field

The Field is the line section of the path connecting two Path Points it encapsulate two aspect; the first one is the path aspect that is expressed by the Exit Angle and the Entry Angle. The second aspect is expressed by the envelope type.

There are two types of Field Envelopes:

1- Static Relative: The KASSABA maintains a static angle value relative to the path angle.

2- Dynamic Absolute: The KASSABA angle is a linear interpolation between multiple absolute angles, these absolute angles are defined for each Path Point, which results in having continuous envelope angles for all the envelopes sections connected to the same Path Point.


Concepts: Envelope Angle

You define the Envelope Angle -primarily- by controlling the envelope angle at the Path Point.

If you find that you need more control inside the Field then you can add Envelope Angle Key to that Field.

Envelope Angle Key is a user key; added to the Field, to give the user more control over the envelope angles; between its exit Path Point and entry Path Point.


Concepts: Object

The Object is a representing symbol that groups under its propriety, other objects, Path Points, or Fields. The structure of the relations between different Objects in the Document is hierarchical. During transformation, if you select multiple Objects (including Path Points and Fields) the parents Objects only are considered and not the children Objects


Concepts: The Hierarchy

The Objects [Objects, Path Points, Fields] all are organized in hierarchical Structures. The benefit of this is better interactions with the user, faster editing, and most important is the symmetry with the calligraphic topology basic principles.

For a given Object if its descendant objects’ controls were visible we say that this object is open, otherwise it is considered as closed.

The Object is opened by a DblClick on it, and become closed by another DblClick

The Field and path points are true objects by themselves.

To see an example consider the following pictures:

The Parent Object owns all the elements in this workspace. All the transformations done on the main Parent apply to all the children, and all descendants of this Object.

By opening the parent we discover that it got three children objects; two pure Objects, and one Field. When applying a transformation on one of the two Child Objects, we notice that the Field in between will be effected; because one of its Path Points is a child to the objects been transformed. We call this Field an outsider; the way by which the outsiders participate into transformations depends on the type of transformation applied, and the compensation options selected.

Finally, by opening the two child Objects we see the remaining of the elements.


Concepts: Fonts

ARABIC CALLIGRAPHER 1.1 do not use any operating system fonts it got its own font system, the fonts shipped with ARABIC CALLIGRAPHER 1.1 are products of FONT CALLIGRAPHER 1.1; which is a twin system to ARABIC CALLIGRAPHER 1.1.

ARABIC CALLIGRAPHER 1.1 Fonts architecture is build following the ARABIC writing rules and principles, to give each Arabic Calligrapher the chance maintaining his experience, inside an integrated computerized system.

ARABIC CALLIGRAPHER 1.1 Font System can handle any other language that got a horizontal text orientation (RTL or LTR). If a User got a license to FONTS CLLIGRAPHER 1.1 he can define new languages, and build or modify new fonts for these languages.

ARABIC CALLIGRAPHER 1.1 System is not a text editor to write many pages; its main objective is only to realize professional calligraphic artwork.


Concepts: Character Shapes

      One of the main features of ARABIC CALIGRAPPHER 1.1 Font System is the presence of more than one Shape for each character at the same context. Normal operating systems fonts do not offer this feature.

In ARABIC CALLIGRAPHER 1.1 you can -following the ARABIC writing rules- select between different Shapes for the same word character, when this operation happen, ARABIC CALLIGRAPHER 1.1 automatically synchronize all other Shapes to accommodate the changes that you have made. This behavior was not possible without the development of new font technology that achieves inter-characters relationship at the visual level as at the textual level.


Concepts: Filters

   Filters are also a feature implemented into ARABIC CALLIGRAPHER 1.1, it allow the user, to replace the normal occurrence of some special word -exp. the word of Allah  - with specific shapes according to the Arabic writing rules.


User Library

      The User Library is a set of Stand Alone Shapes that comes with each Font. These libraries include the basic decoration Shapes, plus any Shapes that the Font designer elected to offer with the Font.


Tools Map

    Choose a link or press on the picture(s) to go to the corresponding topic:

Tools Bar Items:

Tools Menu Items:


The Select Tool

    The user can utilize the select tools for doing the following:

1-Select the Object(s) for transformation: To select an Object simply click on its symbol. To make multiple selection; Press and Hold the shift key while clicking on the Objects you need to select. When selecting more than one Object, and then Applying a transformation on the selected objects, ARABIC CALLIGRAPHER 1.1 ® look only to the Parent Objects and ignore the Children, during that Transformation.

2-Opening And Closing Objects: You Open the Object, by DblClicking on the Object Symbol, and you close it by another DblClick. For Fields; depending on the current Open Object Option; the Path Angle Controls are displayed, or otherwise the Envelope Angles Keys. For Path Point; only the Envelope Angle Control at Path Point are displayed.

3-Moving Objects Symbols: press and move the Object symbol square, to move it around, and place it in the way you want-only the Object symbol get effected, and no transformation is applied on the children.

4-Moving Path Points: click and move The Path Point, to move it into the place you want.

5-Using Angles Controls: Angle Controls [Field Exit Angle, Path Point Envelope Angle, Field Envelope Angle Key], all can be controlled directly using the Select Tool by clicking and holding on the Angle Circle and moving the mouse to control the angle.

6-Moving Envelope Angle Key [in the Open Envelope Angle Mode]: for the Field Envelope Angle Key; the user can move the Angle Key Along the Field by clicking on the Blue Circle and then moving the Key Along the Field Path.

7-Changing The Field Exit Direction [in the Open Path Angle Mode]: by Left Clicking and Holding on the Field Exit Angle Control, and right Clicking at the same time, you can switch the Field Exit Direction, between right or left. By just DblClicking on the Field Exit Angle Control circle, you can switch the Field Reference Path Point.

8-Reading the actual Exit and Entrance Angles of a Field: by Right Clicking on the Field symbol while left clicking, both of the Field ‘s Exit and Entrance Angles appears on the Status Bar. Also two straight lines one for each angle are drawn on the screen, and that is according to the angular direction –tangent lines.

9-Fast Edit Context Menu: while you are in the Select Tool Mode You Can write click on any part of the workspace; and a popup menu will show up, that contains Edit menu commands [NOT IMPLEMENTED].

The next Examples explain more the select tool Interactions.

In the following example three Field Objects Opened in the Path Angle Mode, the Circles represents the Fields Exit Angles.

In the following example three Field Objects opened in the Envelope Angle Mode, the Circles represents the Path Points Envelope Angles.

In the following example three Field Objects opened in the Envelope Angle Mode, the Blue Circle represents the Envelope Angle Key. Even that the Display Option is Open Path Angle; you can still create new envelope keys and manipulate them.

In the following example we have a more detailed look at the Envelope Angle Key.


New Field Tool

    You can use the New Field Tool to Create Path Points and Fields according to the following steps:

1-Click and release the mouse button to create the first Path Point in the position you clicked one.

2-Move the mouse around the first Path Point to specify the new Field Exit Angle.

3-Click and release the mouse button to create the new Field, and the second Path Point.

4-Move the mouse around to specify the position of the second Path Point, at any moment you can Right click and release the mouse button to switch between three Fields Directions, to the right, to the left, or a direct line.

5-Finally, click and release the mouse button to finish.

Important Note:

If the Option Snap To Path Point, was checked [Default] then you can select an already existing Path Points as the first and/or the second Path Points of the new Field you are creating. This is done by Clicking in step 1 and/or step 5 on a previously created path points.


Change Width Tool

The Change Width tools is used as the following:

1-Select the Object(s) [Object(s), Field(s)], on which you want to apply the Change Envelope Width Transformation.

2-Click and Hold the mouse button on any part of the Workspace window.

3-Move the mouse, up to increase the width, and down to decrease the width.

4-Release the mouse button.

Important Note:

While changing the Envelope Width of a Field, you must keep in mind The way ARABIC CALLIGRAPHER 1.1 ® render the envelope, ALL FIELDS ENVELOPES HAVE THE SAME WIDTH AT THE SAME COMMON PATH POINT. No Mater how much you change the width of a Field, the resulting envelope is an interpolation of the Fields widths connecting to the same Path Point. As you can see in the above example; the right Field has different width than the left one, but the result is a balance between the two Fields.


New Envelope Angle Key Tool

    Follow these steps to create a new Envelope Angle Key:

1-Move the mouse above the Field symbol.

2-Click and release on the symbol, the new Envelope Angle Key will be created inside the Field.

Important Note:

If the Field Type was Static Relative then the Envelope Angle Key will have no effect on the Envelope since the latter will always have a Static Angle relative to the tangent angle of the path.


Delete Envelope Angle Key Tool

To delete an Envelope Angle Key, do the following:

1-Move the mouse Over that Envelope Angle Key.

2-Click and release the mouse button to delete the key.


Needle Tool

    Follow these steps to know a Value, and acquire it into the system:

1-Move the mouse over the Path Point or Field symbol.

2-Click and release the mouse button the value will be taken and notification of that, will be displayed in the status bar.

Important Note:

The Needle Tool is used to copy the Envelope Angle at a Path Point, to copy the Field Envelope Width, to copy the Field Path Exit Angle, and to copy The Field Envelope Relative Angle if the Field had the type of Static Relative. All these values will be stored in a Global Variable that you can use from anywhere in the program; these variables can be changed directly from the following options:

1-Default To Static Relative Fields option: when selecting this option an input window will prompts you to enter the new Default Static Relative Envelope Angle.

2-Set Default Envelope Width option: when selecting this option an input window will prompts you to enter the new Default Envelope Width.


New Object Tool

Follow these steps to create a new Object:

1-Click and release the mouse button at the position, in which you want to create the new Object.

2-The new Object will be created.


Link To Parent Tool

    Follow these steps to link a group of Objects[Object(s), Path Point(s), Field(s)] to a new Parent:

1-Select the Object(s) that you want to be linked.

2-Click and release the mouse button on the new Parent Object Symbol.

Important Note:

The new Parent must not be a member of the selected group, neither a descendant to any member of the selected group


Unlink To Parent Tool

    After you have linked an object to a Parent Object, you can reverse this link, by following these steps:

1-Click and release the mouse button on the child Object Symbol.

2-The Object is unlinked from its direct Parent.


Zoom Tool

    Follow these steps to Zoom in and out in the workspace:

1-Click and hold the mouse button, at the Position that you select to be the Focus Point of zooming.

2-Move the mouse, up to zoom out, down to zoom in.

3-Release the mouse button.


Scroll Tool

    To Scroll the Workspace, beside using Scroll Bars, you can use the Scroll Tool according to:

1-click and hold the mouse button at any position in the workspace.

2-move the mouse the scroll in the direction you want to.

3-Release the mouse.


Move Tool

    Follow these steps to move a selected Object(s):

1-Click and hold anywhere in the workspace.

2-Move the mouse to have the Object(s) moved by the same distance and direction of the mouse.

3-Release the mouse button.


Rotate Tool

    To rotate a selected Object(s), follow the steps:

1-Click and hold the mouse button on the positions, which you select to be the center of Rotation.

2-Move the mouse, up to rotate clockwise, down to rotate in the inverse direction.

3-Release the mouse button.

Important Note:

During the Rotate and Scale transformation, the Envelope Angles are updated to have a correct Envelope Transformation. If you need to have only the path updated not the envelope; Check the Lock Envelope Angles In Transformation option.


Scale Tool

    Follow these steps to scale a selected Object(s):

1-Click and hold the mouse button on the positions, which you select to be the center of Scaling.

2-Move the mouse, the scaling will occur in function of the mouse movement. While moving the mouse, mouse position will be considered as the upper left corner of an imaginary size-changing box surrounding all selected object(s).

3-Release the mouse button.

Important Note:

During the Rotate and Scale transformation, the Envelope Angles are updated to have a correct Envelope Transformation. If you need to have only the path updated not the envelope; Check the Lock Envelope Angles In Transformation option.


Write Tool

Follow these steps to use the Write Tool:

1-Select the Font to be used in the write Tool.

2-Click and release the mouse button in the position where you select to have the new text.

3-the Write Tool Dialog Box is displayed, type the text and enter your Shape options, then click ok.

4-The new text will be created in the Workspace, represented by the objects:

4-1- A main Parent Object to all the Text.

4-2- A Child Object of the main Parent for each Character in the text.

4-3- The Characters that are connected will have a Path Point connecting each of them. The connecting Path Points are created as Childs of the main Parent.


User Library Tool

    Each Font got its own User Library. Follow these steps to use the User Library Tool :

1-Select the Font providing the User Library.

2-Select User Library Tool, a Popup window will be displayed.

3-To select a Shape; click on an icon in User Library Window.

4-Click and release the mouse button, in the position where you select to put the new User Library Shape.

5-The new Shape will be created.


Polygon Tool

    To Create a Polygon, follow these steps:

1-Select the Polygon Tool, an input box will prompt you to enter the polygon’s sides count (triangle 3, square 4,etc.).

2-Click and release in the position where you select to create the new Polygon, you can repeat this step as you need.

Important Note:

When you create a new Circle or Polygon the Fields of the new Created Shape will have the default new Field type according to the options that you have selected. You can see this in the next example.


Circle Tool

    Click and release in the position where you want to create the new circle, you can repeat this step, as you need.

Important Note:

When you create a new Circle or Polygon the Fields of the new Created Shape will have the default new Field type according to the options that you have selected. You can see this in the next example.


Edit Map

Click on the Picture to go to the corresponding topic:


Copy Menu Item

      Copy the Selected Object(s) into the Clipboard.


Delete Menu Item

      Delete the Selected Object(s).


Cut Menu Item

      Copy the selected Object(s), and then delete them form the workspace.


Paste Menu Item

      Paste a copy of the Clipboard into the Workspace.


Duplicate Menu Item

      Duplicate the Selected Object(s)


Select All Menu Item

      Select all Objects in the Workspace.


Alignment Menu Items

      Align the Selected Objects according to the side selected [Up, Left, Down, Right].


Mirror Menu items

      Create a Mirror Duplicate of the selected Object(s) according to the direction selected [Horizontally, vertically].


Set Fields Exit Angles Menu Item

      Set all the Field Exit Angle of the Fields in the Selected group to a specific Angle.


Set Envelope Angle Menu Item

      Set all the Envelope Angles in the Path Point, and the Envelope Angle Keys, to a specific Angle.


Set Fields Type to Static Relative

      Set the Field Type in all the Fields of the selected group of Object(s) to Static Relative Type.


Set Fields Type to Dynamic Absolute

      Set the Field Type in all the Fields of the selected group of Object(s) to Dynamic Absolute Type.


Options Map

    Click on the Picture to go to the corresponding topic:


Compensation Options

No Compensation: Check this Option to have no compensation.

Compensate by Cutting: Check this Option to have the Cut Compensation.

Compensate by Linking: Check this Option to have the Link Compensation.

    See the following example to better understanding of compensation results:

The Next Picture shows the workspace before applying the move transformation.

The Next Picture shows the workspace after applying the move transformation, with No Compensation.

The Next Picture shows the workspace after applying the move transformation, with Cut Compensation.

The Next Picture shows the workspace after applying the move transformation, with Link Compensation.


Display Path Only Option

      Check this option to display the path only.


Display Envelope Only

      Check this option to display the envelope only.


Open Object Options

    These options are actually a commands and options in the same time. The Open Object Only option remains checked always, even when one of the other two options has been selected. This behavior is to let you utilize the two options as a command also.

Open Object Only option: Click on this option to close all the Angle Controls displayed in the workspace. When this option has been the last selected then the open action -by DblClicking on the Object symbol- do not display any Angle control, neither for the Envelope Angle, nor for the Path Angles.

Open Path Angles option: Click on this option to show all the Path Angle Controls- Field Exit Angle- of the currently opened Object in the workspace. When this option has been the last selected then the open action -by DblClicking on the Object symbol- displays the Path Angle controls of the Children Fields.

Open Envelope Angles option: Click on this option to show all the Envelope Angle Controls-Envelope Path Point Angle, and Envelope Angle Key- of the currently opened Object in the workspace. When this option has been the last selected then the open action -by DblClicking on the Object symbol- displays the Envelope Angle controls of the Children Fields and Path Points.


Lock Angles In Transformations Option

      This option causes the Envelope Angles to stay constant during the transformation.


Snap To Underlying Path Points Option

    This option effect ARABIC CALLIGRAPHER 1.1 ® in two aspects:

1-When using New Field Tool: The newly Created Field is connected to a near Path Point instead of creating a new one.

2-When applying transformations: Since the transformation in ARABIC CALLIGRAPHER 1.1 ® are centralized, then you can combine the Centralized transformation feature with the Snap To Path Point feature to keep the position of the Path Point static during the transformation. This feature of ARABIC CALLIGRAPHER 1.1 ® is necessary in the case that there is other Fields connected to the Path Point not participating in the transformation, and when choosing the link or the cut compensation.


Scaling Lock Options

    These options control the Scale transformation:

1-No Scale Lock: You can scale the selected Object(s) in the direction of your choice.

2-Vertical Scale Lock: You can scale the selected Object(s) only in the Vertical direction.

3-Horizontal Scale Lock: You can scale the selected Object(s) only in the Horizontal direction.

4-Aspect Ratio Scale Lock: You can scale the selected Object(s) only in the Aspect Ratio direction, move the mouse to the left to enlarge the Object(s), to the right to reduce the size.


Default Field Type Options

Default To Static Relative: Sets the Default New Field Type to Static Relative.

Default To Dynamic Absolute: Sets the Default New Field Type to Dynamic Absolute.


Default Field to Direct Line Option

      Sets the Default Field Path Direction as a direct line.


Default Envelope Width Option

      Sets the Default Field Envelope Width to specific Value.


Save Options

      Saves the current options. The current selected options are saved in the registry under the user specific section and are reloaded when the program starts, according to the current user of the operating system.


Our Technology

    The Fonts word in this document does not refers to any operating system’s Fonts system. ARABIC CALLIGRAPHER 1.1® uses its own Fonts system. Fonts are loaded by ARABIC CALLIGRAPHER 1.1® at the program start up following these steps:

1-ARABIC CALLIGRAPHER 1.1® will search for a directory named "Languages" inside its main installation directory.

2-ARABIC CALLIGRAPHY 1.1® will load all the Languages Files with name "*.LNG" inside the language directory.

3-Inside the Languages directory; For each Language File loaded successfully, ARABIC CALLIGRPAHER 1.1® will search for a Directory with the same name as that *.lng file name, and will load all the files with the name "*.kat" as fonts for that Language.

4-The Selected Language at startup is the first Language loaded.

5-The Fonts names displayed in the Fonts List Box are the ones of the Selected Language.

6-When you change the Current Language; the Fonts List Box will be updated, to contain the Fonts of the newly selected language.


More than One Language

    Click on the picture or scroll down to see the corresponding topic:

To Display the Languages List Dialog Box click Languages from the Options menu.

Languages List: This list displays the currently loaded languages.

Important Note:

To change the Current Language of ARABIC CALLIGRAPHER 1.1® select the Language that you want to be the Current Language and then press enter; a message box will be displayed confirming the new selection.


Using Write Tool Dialog Box

Text Edit Box: Enter in this box the text that you select to be created by ARABIC CALLIGRAPHER 1.1®. You can type multiple lines also.

Process Text/Change Shape Button: click this buttons after you typing the text in the Edit Box. The name of this button change form "Process Text" to "Change Text", after that, you can use this button to change the Character Shape of the currently selected character inside the Text Edit Box.

Left Right Arrows Buttons [previous, Next]: Use these buttons to change the selected character of the text inside the Text Edit Box.

Character Shapes List Box: This list displays the available Shapes for the currently selected character in the Text Edit Box, it gets updated every time you change the selected character using the left and right buttons.

Shapes Number Label: This Label Displays the Number of available shapes for the currently selected character inside the Text Edit Box.

No Filters Check Box: Check this Item to disable the Filters Feature.

Cancel Ok Buttons: Click Ok to complete the job, or Cancel to retreat.


Using Print Dialog Box

Click on the picture or scroll down to see the corresponding topic:

Lock Aspect Check Box: check this option to preserve the aspect ratio of the printed Object(s).

Deep Black Check Box: actually there are two algorithms used by Arabic Calligrapher 1.1 ©; the first algorithm is faster and the second [called Deep Black] is slower but more robust. Usually you should keep this checkbox checked unless you consider that you want to have a faster result.

Page Visual Setup controls: use these controls to control the page setup. Click on the middle rectangle to move it inside the page, click on the edge small box(s) to change the size.

Select Device (Printer, Plotter) Button: click this button to select the page dimensions, the paper source, and the printer. You cannot proceed in printing before selecting a Device.

What To Print radio buttons: use this radio button to specify the Object(s) to print [All, or the selected ones].

Width Height Edit Box: these Edit Boxes Display the Total Width and Height of the selected Device’s Paper dimensions in millimeters.

Ok/Cancel Buttons: click Ok to complete the job, or Cancel to retreat.

Print Resolution Scroll Bar: use this Scroll Bar to specify the Print resolution you select in dot/millimeter units.

Preview Button: click this button to see a preview of the print result.

Up/Down/Left/Right Margins Edit Box: Use these Edit Boxes to specify Page Margins.


Get Best Results (Printing)

Get Best Results

    To get the best result using the Print features of ARABIC CALLIGRAPHER 1.1 ®; here are some points to consider:

1-Use the Preview Button to preview the resulting image. When The Print resolution is high the preview may seems unclear because of the stretching process during the preview rendering; this is insignificant, the print result will be absolutely clear.

2-Use the Print Resolution Scroll Bar to choose the most appropriate resolution; when you specify more resolution the rendering may take more time than lower resolution. If you are printing on a small part of the paper or you are printing a large banner that will be seen from long distance it may be better to reduce the print resolution to reduce memory usage and increase the print speed.


Using Save As Bitmap Dialog Box

What To Output radio buttons: use this radio button to specify, the object(s) to Output [All, or the selected ones].

Preview Button: Click this button to obtain a preview of the bitmap.

Up/Down/Left/Right Margins Edit Box: Use this Edit Box to specify the Page Margins.

Inverse Color Check Box: Check this Check Box to have a white over black result instead of Black over white.

Lock Aspect Check Box: Check this option to preserve the aspect ratio of the printed Object(s).

Deep Black Check Box: actually there are two algorithms used by Arabic Calligrapher 1.1 ©; the first algorithm is faster and the second [called Deep Black] is slower but more robust. Usually you should keep this checkbox checked unless you consider that you want to have a faster result.

Page Visual Setup controls: Use these controls to control the page setup. Click on the middle rectangle to move it inside the page, click on the edge small box(s) to change the size.

Save Button: Click this button to save the Object(s) as a Bitmap file.

Height/Width Edit Box: type in these Edit Box the width and height of the result picture in pixels unit. If you have chosen the Lock Aspect Check box then the Width Edit Box become disabled, and you can control only the height.

Export To Max 3D® Button: Click this button to export the object(s) as a 3D Studio MAX® script; an input box will prompt you to insert the simulation resolution, after that, you will be prompted to select the file name.

Anti-aliazing

Anti-Aliasing Factor: this parameter is used for smoothing and anti-aliasing the resulting image. When the user needs to have an image of a small size then an aliasing effect would reduce image quality. For that, and to keep the precision of the produced image, the user should modify value for better image quality and aliasing removal. Anti-aliasing Factor value of 1 produces a binary image. Greater values smooth the image and demands more time and memory for image generation. Usually a value of 2 or 3 should be sufficient.


Get Best Results (Saving Images)

Get Best Results

    To get the best results using the Save As Bitmap feature of ARABIC CALLIGRAPHER 1.1®; you should consider the following:

1-Use the Preview Button to preview the result. When the bitmap resolution is high the preview may seems unclear because the stretching process during the preview but this is not significant.

2-The bitmap that the ARABIC CALLIGRAPHER 1.1® will generate is a binary bitmap. Because of this fact; when displayed on a small part of the screen the bitmap will not have the appropriate smoothness, this is called aliasing. To enhance the display of small bitmaps, and on-screen bitmaps in general, and to remove the aliasing consider using an Anti-aliasing Factor greater than 1, bigger Anti-aliasing Factor values produce more accurate results but demands more memory and time for image generation. Usually a value of 2 or 3 should be sufficient.


Enjoy the Power of 3D STUDIO MAX ®

    ARABIC CALLIGRAPHER 1.1 ® have the feature of exporting the Object(s) you have created to 3D Studio MAX ®. The used export format is in MaxScript language. Follow these steps to export your work to 3D Studio MAX:

1-Click on File->Save As Bitmap menu item, and follow the normal procedures in specifying the bitmap resolution, which will be equivalent to the resolution of the exported object(s).

2-Click on Export To 3D MAX button. An input box will prompt you to enter the Export resolution in knot/pixel unit.

3-ARABIC CALLIGRPAHER 1.1 ® will prompt you to specify the file name of the script file "*.ms".

4-Go to 3D Studio MAX ®. Maximize its window. Click the MAXScript->Run Script menu item.

5-Specify the file name that you gave previously to the script file.

6-While the MaxScript execute the script; DO NOT MINIMIZE or change the size of 3D Studio MAX ® program.

7-The result will be the creation of one shape, i.e  "line01". In that shape there will be a group of closed splines.

Important Note:

To apply a successful Extrude Modification to the shape, you must to consider the following points concerning 3D Studio MAX ®:

1- to obtain a successful extrude modification; each spline in the group must be totally closed.

2-Each closed spline must be always going in one direction clockwise or counter-clockwise.

3-Each closed spline should not overlap it self or the other splines.

4-Because of the resolution, in which 3D Studio MAX ® handles the Extrude process; it may consider that a group of spline sections are overlapping each other, while they are not actually. Due to that; if the extrude modification on the shape was not successful; you should consider correcting shape splines to remove the following Extrude unfriendly situations:

4-1-Any section that is not going directly in one direction- see the example on the right-

4-2-Any sections that are overlapping -see the example on the right.


Exporting into Text Editing Document

With ARABIC CALLIGRAPHER 1.1 ®, you could embed your work in some other program’s document, i.e. Word 2000 ®, currently ARABIC CALLIGRAPHER 1.1 ® support exporting using Ole technology, which is a standard of the operating system Windows ®.

To include ARABIC CALLIGRAPHER 1.1 ® work inside another document follow these steps:

1-Open the document in which you select to embed ARABIC CALLIGRAPHER 1.1 ® ‘s work.

2-Select from the program’s menu; “Insert”, the “Object” item.

3-Select from the provided list “Arabic Calligrapher File”.

4-A new document will be created inside ARABIC CALLIGRAPHER 1.1 ® ready for editing.

5-After that you finish editing, from ARABIC CALLIGRAPHER 1.1 ®’s “File” menu, select “save”, your work will become embedded inside the document you’ve started from at step 1.


Standard Accelerations

      Standard Accelerations by menu item:

Menu Item | Keyboard acceleration
File->New | Cntrl+N
File->Load | Cntrl+O
File->Save | Cntrl+S
File->Save As Bitmap | Cntrl+B
File->Print | Cntrl+P
Edit->Paste | Cntrl+V
Edit->Copy | Cntrl+C
Edit->Cut | Cntrl+X
Edit->Delete | Del
Edit->Align Top | Cntrl+U
Edit->Align Down | Cntrl+D
Edit->Align Right | Cntrl+R
Edit->Align Left | Cntrl+L
Tools->Insert From Font Library | F2
Options->No Compensation | Cntrl+F5
Options->Compensate by Cutting | Cntrl+F6
Options->Compensate by Linking | Cntrl+F7
Options->Display Path Only | F4
Options->Display Envelope Only | F5
Options->Open Object Only | F6
Options->Open Path Angles | F7
Options->Open Envelope Angles | F8


Piano Accelerations

    Piano Accelerations are a scheme for Tools Fast Access, which will is useful for faster tools access.

The Basic Keys are z, x, c, v, a, and s keyboard keys. Their use is explained in the following table:

Keyboard key | Function
z | Switch between the select tool and the last tool Used.
x | Loop through the Tools: Move, Scale, Rotate
c | Loop through the Tools: Change Width, New Envelope Key.
v | Switch between the Zoom Tool and the Scroll Tool
a | Zoom to 1 to 1 percent.
s | Loop through the Tools: Link To Parent, New Object.

When you utilize an accelerator the previously selected accelerator keeps in memory its last state. When it is re-selected it start looping from its last state’s Tool.


File Map

    Click on the Picture to got to the corresponding topic:


Saving and Loading

    To load a Workspace click File->Load menu item, the status bar will display the current loading steps.

To save a workspace, activate that workspace window, Click the File->Save or file->Save as menu item to save the workspace in a "*.lin" file.


Contact Us

      GolanSoft®

      click here to contact us


Concepts: Centralized Transformations

The transformations in ARABIC CALLIGRAPHER 1.1 are done in a centralized way. More precisely, the rotation and scale transformations have both a central point for the transformation that is the clicking point over the screen.


Concepts: Compensation

Compensation is one of the power features that ARABIC CALLIGRAPHER 1.1 Presents. The compensation concept is a result of having more than one object, interconnected in between, and each one could be the target for different transformations. The way that ARABIC CALLIGRAPHER 1.1 will resolute these inter-relations is by compensating the connections between these objects, either by cutting, linking, or simply by doing nothing.